/* Задайте своё человеческое название файла между '' */
/* --human-name-css: 'Постраничная навигация'; */

/* Укажите имя автора между '' */
/* --human-author-css: 'Verkoshka | Катерина Веремейчик'; */

/* Задайте путь до аватара автора между "" */
/* --human-author-image-css: "https://skizzi.pro/wp-content/uploads/verkoshka-logo.svg"; */

/* Задайте своё человеческое описание файла между '' */
/* --human-description-css: 'Дизайн кнопок постраничной навигации рубрик и материалов. Включает в себя параметры, редактируемые в настройках MEMBERLUX, заменяя их значения.'; */

/* ----------------- */
/* НАСТРОЙКИ ДИЗАЙНА */
/* ----------------- */

:root {

    /*Цвет фона неактивной страницы*/
    --bg-wp-pagenavi: #FFF;

    /*Цвет текста неактивной страницы*/
    --color-wp-pagenavi: #71B2DE;

    /*Цвет рамки неактивной страницы*/
    --border-color-wp-pagenavi: #71B2DE;

    /*Цвет фона при наведении*/
    --bg-wp-pagenavi-hover: #71B2DE;

    /*Цвет текста при наведении*/
    --color-wp-pagenavi-hover: #FFFFFF;

    /*Цвет рамки при наведении*/
    --border-color-wp-pagenavi-hover: #71B2DE;

    /*Цвет фона текущей страницы*/
    --bg-wp-pagenavi-current: #BFDAA0;

    /*Цвет текста текущей страницы*/
    --color-wp-pagenavi-current: #FFFFFF;

    /*Цвет рамки текущей страницы*/
    --border-color-wp-pagenavi-current: #BFDAA0;

    /*Цвет фона кнопки Следующая / Предыдущая*/
    /*код цвета или transparent — для прозрачного*/
    --bg-wp-pagenavi-postlink: transparent;

    /*Цвет текста кнопки Следующая / Предыдущая*/
    --color-wp-pagenavi-postlink: #7E7E7E;

    /*Цвет рамки кнопки Следующая / Предыдущая*/
    /*код цвета или transparent — для прозрачного*/
    --border-color-wp-pagenavi-postlink: transparent;

    /*Цвет фона кнопки Следующая / Предыдущая при наведении*/
    /*код цвета или transparent — для прозрачного*/
    --bg-wp-pagenavi-postlink-hover: #71B2DE;

    /*Цвет текста кнопки Следующая / Предыдущая при наведении*/
    --color-wp-pagenavi-postlink-hover: #FFFFFF;

    /*Цвет рамки кнопки Следующая / Предыдущая при наведении*/
    /*код цвета или transparent — для прозрачного*/
    --border-color-wp-pagenavi-postlink-hover: #71B2DE;
    
    /*Внутренние отступы
    первое число — сверху и снизу от номера страницы
    второе число — по бокам от номера страницы*/
    --padding-wp-pagenavi: 10px 15px;
    
    /*Половина расстояния между кнопками*/
    --margin-between-wp-pagenavi: 2.5px;
    
    /*Радиус скругления углов кнопки*/
    --border-radius-wp-pagenavi: 8px;
    
    /*Контур
    число — толщина границы
    тип линии может быть: solid — обычная, dashed — пунктирная, dotted — точками, none — рамка отсутствует */
    --border-wp-pagenavi: 1px solid;

    /*Размер шрифта кнопок постраничной навигации*/
    --font-size-wp-pagenavi: 14px;

    }

/* ------------------------- */
/* НЕ ТРОГАЙТЕ ВСЁ, ЧТО НИЖЕ */
/* ------------------------- */

/*Номера страниц*/
.wp-pagenavi .pages {
    justify-content: center; /*Выравниваем элементы по центру*/
    order: 2; /*Порядок*/
    flex-flow: wrap; /*Перенос, если много элементов*/
}

/*Неактивная страница*/
.wp-pagenavi .page {
    background:  var(--bg-wp-pagenavi); /*Цвет фона*/
    color:  var(--color-wp-pagenavi); /*Цвет текста*/
    border-color:  var(--border-color-wp-pagenavi); /*Цвет рамки*/
}

/*При наведении*/
.wp-pagenavi .page:hover {
    background:  var(--bg-wp-pagenavi-hover); /*Цвет фона при наведении*/
    color:  var(--color-wp-pagenavi-hover); /*Цвет текста при наведении*/
    border-color:  var(--border-color-wp-pagenavi-hover); /*Цвет рамки при наведении*/
}

/*Текущая страница*/
.wp-pagenavi .current, .wp-pagenavi .current:hover {
    background:  var(--bg-wp-pagenavi-current); /*Цвет фона текущей страницы*/
    color:  var(--color-wp-pagenavi-current); /*Цвет текста текущей страницы*/
    border-color:  var(--border-color-wp-pagenavi-current); /*Цвет рамки текущей страницы*/
}

/*Следующая / Предыдущая*/
.wp-pagenavi .nextpostslink, .wp-pagenavi .prevpostslink {
    background:  var(--bg-wp-pagenavi-postlink); /*Цвет фона кнопки Следующая / Предыдущая*/
    color:  var(--color-wp-pagenavi-postlink); /*Цвет текста кнопки Следующая / Предыдущая*/
    border-color:  var(--border-color-wp-pagenavi-postlink); /*Цвет рамки кнопки Следующая / Предыдущая*/
}

/*Следующая / Предыдущая при наведении*/
.wp-pagenavi .nextpostslink:hover, .wp-pagenavi .prevpostslink:hover {
    background:  var(--bg-wp-pagenavi-postlink-hover); /*Цвет фона кнопки Следующая / Предыдущая при наведении*/
    color:  var(--color-wp-pagenavi-postlink-hover); /*Цвет текста кнопки Следующая / Предыдущая при наведении*/
    border-color:  var(--border-color-wp-pagenavi-postlink-hover); /*Цвет рамки кнопки Следующая / Предыдущая при наведении*/
}

/*Параметры кнопок постраничной навигации*/
.wp-pagenavi a, .wp-pagenavi .current, .wp-pagenavi .extend {
    padding: var(--padding-wp-pagenavi); /*Внутренние отступы*/
    margin: var(--margin-between-wp-pagenavi); /*Внешние отступы — Половина расстояния между кнопками*/
    border-radius: var(--border-radius-wp-pagenavi); /*Радиус скругления углов кнопки*/
    border: var(--border-wp-pagenavi) transparent; /*Контур*/
}

/*Текст кнопок постраничной навигации*/
.wp-pagenavi {
    font-size: var(--font-size-wp-pagenavi); /*Размер шрифта*/
    word-break: auto-phrase; /*Перенос длинного текста*/
    hyphens: auto; /*Расстановка переносов*/
}

/*Адаптация*/
@media (max-width: 767px) {
/*Номера страниц*/
.wp-pagenavi .pages {
    width: 100%; /*Ширина блока страниц*/
}

/*Для блока текста предыдущей страницы*/
.wp-pagenavi .prevpostslink {
    order: 1; /*Порядок*/
    width: 100%; /*Ширина*/
}
  
/*Для блока текста следующей страницы*/
.wp-pagenavi .nextpostslink {
    order: 3; /*Порядок*/
    width: 100%; /*Ширина*/
    margin: 0; /*Отступы*/
}
}